Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class RequestProcessingPolicyValue

    java.lang.Object
      |
      +--org.omg.PortableServer.RequestProcessingPolicyValue

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class RequestProcessingPolicyValue
extends java.lang.Object
implements IDLEntity

Enum definition : RequestProcessingPolicyValue

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`static int` | `_USE_ACTIVE_OBJECT_MAP_ONLY` Enum member USE_ACTIVE_OBJECT_MAP_ONLY value
`static int` | `_USE_DEFAULT_SERVANT` Enum member USE_DEFAULT_SERVANT value
`static int` | `_USE_SERVANT_MANAGER` Enum member USE_SERVANT_MANAGER value
`static RequestProcessingPolicyValue` | `USE_ACTIVE_OBJECT_MAP_ONLY` Enum member USE_ACTIVE_OBJECT_MAP_ONLY
`static RequestProcessingPolicyValue` | `USE_DEFAULT_SERVANT` Enum member USE_DEFAULT_SERVANT
`static RequestProcessingPolicyValue` | `USE_SERVANT_MANAGER` Enum member USE_SERVANT_MANAGER

Method Summary
`static RequestProcessingPolicyValue` | `from_int(int value)` Return a enum member from its value
`java.lang.Object` | `readResolve()` Maintains singleton property for serialized enums.
`java.lang.String` | `toString()` Return a string representation
`int` | `value()` Return the internal member value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _USE_ACTIVE_OBJECT_MAP_ONLY

    public static final int _USE_ACTIVE_OBJECT_MAP_ONLY

  Enum member USE_ACTIVE_OBJECT_MAP_ONLY value

### USE_ACTIVE_OBJECT_MAP_ONLY

    public static final RequestProcessingPolicyValue USE_ACTIVE_OBJECT_MAP_ONLY

  Enum member USE_ACTIVE_OBJECT_MAP_ONLY

### _USE_DEFAULT_SERVANT

    public static final int _USE_DEFAULT_SERVANT

  Enum member USE_DEFAULT_SERVANT value

### USE_DEFAULT_SERVANT

    public static final RequestProcessingPolicyValue USE_DEFAULT_SERVANT

  Enum member USE_DEFAULT_SERVANT

### _USE_SERVANT_MANAGER

    public static final int _USE_SERVANT_MANAGER

  Enum member USE_SERVANT_MANAGER value

### USE_SERVANT_MANAGER

    public static final RequestProcessingPolicyValue USE_SERVANT_MANAGER

  Enum member USE_SERVANT_MANAGER

Method Detail

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Maintains singleton property for serialized enums. Issue 4271: IDL/Java issue, Mapping for IDL enum.

### value

    public int value()

  Return the internal member value
  Returns:
    the member value

### from_int

    public static RequestProcessingPolicyValue from_int(int value)

  Return a enum member from its value
  Parameters:
    `an` - enum value
  Returns:
    an enum member

### toString

    public java.lang.String toString()

  Return a string representation
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the enumeration

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD